/*
 * Class EV_SENSITIVE_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1162 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1162 [] = {0xFF01,1551,1161,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1162 [] = {0xFF01,1161,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1162 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1162 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1162 [] = {0xFF01,1161,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1162 [] = {0xFF01,1161,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1162 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1162 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1162 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1162 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1162 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1162 [] = {0xFF01,1161,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1162 [] = {0xFF01,0xFF01,1009,0xFFFF};


static const struct desc_info desc_1162[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1162), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1162), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1162), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1162), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1162), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1162), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1162), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1162), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1162), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1162), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1162), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1162), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0913 /*1161*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1162), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1162), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07E3 /*1009*/), 27060, 0},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 5},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27061, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27062, 4},
	{EIF_GENERIC(NULL), 27063, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27064, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1162(void)
{
	IDSC(desc_1162, 0, 1161);
	IDSC(desc_1162 + 1, 1, 1161);
	IDSC(desc_1162 + 32, 1513, 1161);
	IDSC(desc_1162 + 59, 476, 1161);
}


#ifdef __cplusplus
}
#endif
